Bug 520352 - Review Request: python-pip - Pip installs packages. Python packages. An easy_install replacement
Summary: Review Request: python-pip - Pip installs packages. Python packages. An eas...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julian Aloofi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 04:47 UTC by Peter Halliday
Modified: 2009-12-31 06:56 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-10-26 03:06:39 UTC
julian.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Halliday 2009-08-31 04:47:57 UTC
Spec URL: http://www.excelsiorsystems.net/media/files/python-pip.spec
SRPM URL: http://www.excelsiorsystems.net/media/files/python-pip-0.4-1.fc11.src.rpm
Description:
Pip is a replacement for `easy_install
<http://peak.telecommunity.com/DevCenter/EasyInstall>`_.  It uses mostly the
same techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

pip is meant to improve on easy_install.bulletin boards, etc.).

Comment 1 Julian Aloofi 2009-09-05 19:41:01 UTC
I'm taking that request. Builds without problems, no rpmlint warnings.
A in-depth review is coming soon.

Comment 2 Julian Aloofi 2009-09-06 15:55:00 UTC
rpmlint output of all files is clean:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
- You should try to ask upstream to include a COPYING file.

MUST: The License field in the package spec file must match the actual license.
OK
MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc. N/A
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. N/A
MUST: Permissions on files must be set properly. NEEDSWORK
- you should change %{python_sitelib}/* to %{python_sitelib}/pip*
- why don't you use the default file permissions for %{_bindir}/pip?

MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. NEEDSWORK
- 
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: The package builds in mock. OK  
-The package builds in mock for Fedora 10, 11 and rawhide
-Koji scratch builds for F11 and rawhide successful

Comment 3 Peter Halliday 2009-09-18 02:27:35 UTC
- why don't you use the default file permissions for %{_bindir}/pip?

Because of the shebang at the top of the file, rpmlint complained when it wasn't 755.  The default is 644 I believe.

MUST: No file conflicts with other packages and no general names. NEEDSWORK

You don't say which file conflicts there were.

Comment 4 Julian Aloofi 2009-09-18 14:49:37 UTC
(In reply to comment #3)
> - why don't you use the default file permissions for %{_bindir}/pip?
> 
> Because of the shebang at the top of the file, rpmlint complained when it
> wasn't 755.  The default is 644 I believe.
OK, makes sense, was just asking.
> MUST: No file conflicts with other packages and no general names. NEEDSWORK
> 
> You don't say which file conflicts there were.  
Oops sorry, that section is OK too.
You can also leave %{python_sitelib}/* in the file sections as it is if you want.
Have you tried asking upstream for a COPYING file? Apart from that I don't see any problems with the package.

Comment 5 Julian Aloofi 2009-10-09 15:52:32 UTC
OK, this packages works and I can't see any further problems.
Sorry for letting this take so long, the package is APPROVED.
However, please ask upstream for a COPYING file.

Comment 6 Peter Halliday 2009-10-20 03:38:53 UTC
New Package CVS Request
=======================
Package Name: python-pip
Short Description: Pip is a replacement for easy_install
Owners: hoangelos
Branches: F-11 F-12 EL-5 EL-4
InitialCC:

Comment 7 Kevin Fenzi 2009-10-22 04:10:04 UTC
cvs done.

Comment 8 Fedora Update System 2009-11-26 05:42:59 UTC
python-pip-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-pip-0.4-1.fc11

Comment 9 Fedora Update System 2009-11-26 05:46:18 UTC
python-pip-0.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-pip-0.4-1.fc12

Comment 10 Fedora Update System 2009-11-26 05:47:25 UTC
python-pip-0.4-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/python-pip-0.4-1.el4

Comment 11 Fedora Update System 2009-11-26 05:50:37 UTC
python-pip-0.4-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-pip-0.4-1.el5

Comment 12 Fedora Update System 2009-11-27 21:38:42 UTC
python-pip-0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-27 21:42:52 UTC
python-pip-0.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-12-17 23:56:47 UTC
python-pip-0.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-12-31 06:56:36 UTC
python-pip-0.4-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.